Create a generation
client.Generations.New(ctx, body) (*Generation, error)
POST/generations
Submit an image or video generation job. Returns immediately with an opaque job ID to poll via GET /generations/{id}.
Parameters
Returns
Create a generation
package main
import ( "context" "fmt"
"github.com/lumalabs/luma-agents-go" "github.com/lumalabs/luma-agents-go/option")
func main() { client := lumaagents.NewClient( option.WithAuthToken("My Auth Token"), ) generation, err := client.Generations.New(context.TODO(), lumaagents.GenerationNewParams{ Prompt: lumaagents.F("A glass of iced coffee on a marble countertop, morning light streaming through a window"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", generation.ID)}201 example
{ "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "created_at": "created_at", "model": "uni-1", "state": "queued", "type": "image", "failure_code": "content_moderated", "failure_reason": "failure_reason", "output": [ { "type": "type", "url": "https://example.com", "layer": { "alpha_hint": "alpha_hint", "description": "description", "index": 0, "label": "label", "bounds": { "canvas_height": 0, "canvas_width": 0, "height": 0, "width": 0, "x": 0, "y": 0 }, "contains_text": true, "text": { "content": "content", "decorated": true, "font": { "category": "sans serif", "families": [ "string" ], "italic": true, "weight": "thin", "width": "condensed", "match": { "face_id": "face_id", "family_id": "family_id", "family_name": "family_name", "style": "normal", "weight": 0 } } } } } ], "usage": { "credits_charged": 0 }}Returns Examples
201 example
{ "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "created_at": "created_at", "model": "uni-1", "state": "queued", "type": "image", "failure_code": "content_moderated", "failure_reason": "failure_reason", "output": [ { "type": "type", "url": "https://example.com", "layer": { "alpha_hint": "alpha_hint", "description": "description", "index": 0, "label": "label", "bounds": { "canvas_height": 0, "canvas_width": 0, "height": 0, "width": 0, "x": 0, "y": 0 }, "contains_text": true, "text": { "content": "content", "decorated": true, "font": { "category": "sans serif", "families": [ "string" ], "italic": true, "weight": "thin", "width": "condensed", "match": { "face_id": "face_id", "family_id": "family_id", "family_name": "family_name", "style": "normal", "weight": 0 } } } } } ], "usage": { "credits_charged": 0 }}